Non è possibile eseguire FoxitReader dopo averlo installato

13

Sto cercando di installare il lettore Foxit.

Ho scaricato il .deb, aperto con Ubuntu Software Center (o gdebi, ecc.) e ho fatto clic su install.

La barra di avanzamento fa il suo lavoro e appare un'icona quando cerco Foxit all'avvio. È anche presente nel menu, nel gestore di Synaptic, ed è visto da altre applicazioni di avvio come Synapse.

Ma non inizia.

Non è presente in usr/bin e non è visto da alt - f2 (esecuzione), quindi non è installato correttamente.

Se apro di nuovo USC, FoxitReader appare come non installato. Riavviare il file deb in gdebi non sembra installato (la nota che una versione è già installata, e le opzioni di reinstallazione, rimozione, ecc sono tutte assenti).

idee?

    
posta Jonathan 16.10.2011 - 12:53
fonte

2 risposte

11

Ho avuto lo stesso problema e ho trovato una soluzione che ha funzionato per me.

Il problema con il lettore Foxit è che fa solo un'installazione "parziale" e manca il file eseguibile principale che consente di eseguirlo.

C'è una soluzione per questo - dopo aver eseguito l'installazione tramite USC è necessario estrarre il file eseguibile che si trova nella cartella / usr / bin / dal file .deb scaricato con Archive Manager.

Estrai il file eseguibile di Foxit nella tua cartella Inizio quindi esegui sudo cp FoxitReader /usr/bin in un terminale e il lettore Foxit dovrebbe ora funzionare come previsto.

I passaggi da seguire con gli screenshot possono essere trovati qui

    
risposta data Mark Rooney 03.03.2012 - 00:05
fonte
1

Alcuni software potrebbero non essere visualizzati nel menu dell'applicazione, perché non è necessario. ad esempio, devi solo aprire un file facendo clic su di esso, perché preoccuparti di visualizzarlo nel menu app?

Per verificare se è installato un * .desktop:

(i) trova il nome del pacchetto: % Co_de%

(ii) elenca i contenuti: dpkg -l | grep foxit -i

Finora prova solo alcuni documenti PDF, fai clic con il tasto destro e vedi se puoi scegliere un'altra applicazione anziché il visualizzatore PDF predefinito.

E potresti aggiungere il file binario da FoxitReader alla lista, e dopo sarà questo il lettore PDF predefinito.

@update

Guarda la foto qui sotto, hai provato a eseguire dpkg -L PACKAGE_NAME (ho scelto la versione 1.1 dal sito web)

    
risposta data daisy 16.10.2011 - 17:22
fonte

Leggi altre domande sui tag